import { Knex } from 'knex';
import { BaseRepository } from './base-repository';
import { Group } from '@shared/index';

export class GroupRepository extends BaseRepository<Group> {
  constructor(db: Knex) {
    super(db, 'groups');
  }

  async findByParentId(parentId: number): Promise<Group[]> {
    return await this.db(this.tableName)
      .where('parent_id', parentId)
      .select('*');
  }

  async findRootGroups(): Promise<Group[]> {
    return await this.db(this.tableName)
      .whereNull('parent_id')
      .select('*');
  }
}